2005-02-20

	* Alt-enter in menu was not being marked dirty, causing a black
	screen in Windows.

	* Release (version 0.2).
	
2005-02-19

	* Canonicalized the path in custom map menu and the
	RAIDEM_DATA_DIR environment variable.

	* Will now scan maps in seborrhea data directories, not just ./

	* Alt-enter in menu will toggle full screen.

	* Beefed up space boss.

2005-02-18

	* Fixed a divide by 0 bug when on lowest debri amount setting.

	* In Windows, Raid will now read/write config/scores from
	appdata/raidem/ in case it was installed for all users and you
	can't write inside raid/.

	* Better score file handling for multiple users.

	* Better high score name entering screen.

	* Map now stops a short distance after all players die.
	
2005-02-17

	* Updated to GlyphKeeper 0.22.0 and it's new API.

	* Hacked loadpng to tell Seborrhea if the loaded png was in RGBA
	because RGBA sprites need special drawing routines.

	* Seborrhea now automatically draws sprites with an alpha channel with
	set_alpha_blender() and draw_trans_sprite().  This fixes previous bugs
	of RGBA sprites not being drawn correctly.

	* Explosions and other animatedDebriWithAlpha classes now use
	SebAnimators.  AnimatedDebriWithAlpha is no more.

	* Fixed crash in player's satellite code when satellite exceeds
	escape distance.

	* Music advertisment shifted to be over left-status-bar instead of
	play field.  This causes trouble.

	* Fixed crash caused by toggling screen mode due to not freeing
	video memory buffers first.

2005-02-16

	* Modifications to makefiles to skip compiling freetype, libid3tag
	and/or zziplib if you already have it.  Make (un)install targets.

	* Reads config files from ~/.raidem/ in Linux.  Also reads/writes
	scores to ~/.raidem/ when possible.

	* If maps directory is missing, custom menu will go to raid's
	executable's directory.

	* Fixed various crashes due to missing datafiles.

	* Partially fixed problem with reading/writing scores/config files
	from the wrong directory when running raid from outside the
	binary's directory.

	* Memory for music data is now allocated and resized as required.

	* Added alrand because Windows' rand() is stupid and doesn't work
	with Objective-C.  It only wants to give me '41'.

2005-02-15

	* Zipped datafiles now work under Windows.

	* Fixed memory leaks when loading splines and fonts from memory,
	and Seborrhea root directory strings.

	* Fixed memory leaks in music ad.

	* Reads keyboard.cfg/joystick.cfg file for options.

2005-02-14

	* Compiles under Windows again.

	* Changed from TagLib to libid3tag because TagLib doesn't want to
	work under Windows, and it's smaller.
	
	* Fixed music-ad not being drawn with the add blender when
	compiled with NO_FBLEND.

	* Fixed crash when data/music/something directory does not exist.

2005-02-13

	* Modified linked-list code to add to end of list faster.

	* Can now choose to spawn units at the start or end of a list,
	instead of just at the start for air and end for ground.  This
	allows a dodgy way to order our unit drawing.

	* Seborrhea splines now supports looping (forward only).

	* Darker health meter background bar, to be easier to read.

	* Fixed Boss1 kamikaze sequence bug when near edge of screen.
	Also, the boss will wait slightly before charging when after
	switching to kamikaze phase.

	* In-game music volume adjusting (F2/F3) and (volume wheel if
	compiled with iTouch).

	* Fix bug in custom menu causing only start button to begin level.

	* -a/--noads command-line option.

	* New centipede graphic.

2005-02-12

	* New boss-loop for Boss1.

2005-01-20

	* Fixed rotated transparent sprites on 64 bit machines.

	* Fixed bug in armadillo and hippo hatches, drawing the sprite to
	the wrong place.
	
2005-01-19

	* Added SebFontAllegro, a class which uses the default Allegro
	font to write text.  Text is not scaled.
	
2005-01-11

	* Water ripples for sea-bourne units.  SeaDog/Urchin use this.

	* SeaUrchins now stay underwater (indicated by blue/green tint)
	until it activates.  They don't collide while underwater.

2005-01-06

	* Fix bug introduced to hiscores bit when converting from Allegro
	drawing routines to seborrhea drawing routines.

	* Dirlists will now open and close files.  ZzipDirlists will use
	zzip_freopen when possible, instead of opening and closing the
	file.

	* Seborrhea images now have a pivot, rather than just using the
	centre of the sprite.  Pivot defaults to centre of sprite.

	* Basic tanks and turrets no longer use Allegro bitmaps for
	turrets.
	
2005-01-05

	* Menu now has own keyboard handler, rather than using players'
	controllers.  This prevents navigation being screwed up when
	configuring the keyboard.

	* Start and menu joystick buttons can no longer be configured to
	be the same button now, but will instead be swapped.

	* New water tiles.

	* Restore flicker when units are hurt.

	* More things respect debri levels.

	* Sounds inside SebFiles and SebLumps can now be set to a default
	sound volume.

	* Fix bug in SebFile, prematurely closing metafile if could not
	find contents.
	
2005-01-04

	* Moved metafile reading from AbstractSebContainer to SebFile.

	* Removed all traces of shadow that use Allegro bitmaps.

	* Beginning tiles for water/ice level (level 3).

2005-01-03

	* Start changing shadows to be SebImages rather than allegro
	bitmaps.

	* SebImage protocol supports some drawing routines now, and
	converting things to use that (rather than relying on
	SebImageAllegro's "bitmap" routine).

	* Fonts that are loaded by load-font-with-sizes can no longer be
	resized.

	* Found some new fonts.

2005-01-02

	* Metafile supports animation properties.

	* Fixed SebAnimator's ping-pong code.

	* Player now uses SebAnimator for sprites.

2005-01-01

	* Music ad now just keeps a bitmap of the text to draw, instead of
	creating one and re-writing the text every loop.

	* Contents files work again.

	* Created own dirent structure which contains d_name, d_type,
	st_size (for zzip), and loaded state.  This allows sorting
	directories and keeping their data.

	* SebAnimation's frames now must have the same dimensions.  New
	SebAnimator class to help animate SebAnimations. Both are
	considered SebImages.

	* Support for animated tiles.

2004-12-31

	* Everything can now be loaded from zips.  Metafiles are also read
	properly.
	
	* Splines are no longer packfiles.

	* Can now set the environment variable RAIDEM_DATA_DIR for looking
	up datafiles.

	* Seborrhea data directories will now append a '/' to the end of
	directory as required.

	* ID3 tags are read using taglib.
	
2004-12-30

	* Seborrhea will now open zip files, using zziplib.  Only supports
	PNG and WAV at the moment.  Doesn't read metafiles yet either.

2004-12-29

	* Fix bug in hiscore section, not restoring the size of the menu
	font after quitting.

	* Seborrhea now handles symbolic links.

	* FileSelector (custom map bit) can now visit different
	directories and handles symlinks.

2004-12-28

	* Custom map now has own file selector, instead of Adime.  Adime
	is still needed for REdit though.
	
2004-12-26

	* Start of music title/album description/advertisment.

	* New (Horizontal) Pane widget for GUI, so can resize map editing
	area/palette in REdit.

	* -d, --depth command line options.

	* Fixed REdit not being drawn after switching away and back.

2004-12-25

	* Fixed menu not being drawn properly after switching away then
	back into the menu.

	* Fixed high score entering bit not being drawn properly sometimes
	due to page flipping/triple buffering.  Also fixed statusbars
	flickering after switching back into the game when using triple
	buffering.

	* High score name buffer for player 1 and 2 is no longer shared.
	Can use 'left' on the joystick to delete a character when entering
	your name.  Found proper end points for when using up/down to
	enter name.

	* Fixed transparency for rotated shadows in 15 bpp mode.
	
2004-12-24

	* Outline paused, highscore and game over texts.

	* F11 to toggle shadows.  Moved screenshots to F10.

2004-12-23

	* New space tiles.

2004-12-22

	* New space tiles.
	
2004-12-21

	* Better navigation for customise controls menu.  Also added a
	test force feedback button when compiled with WINFF.

	* -J, -nojoy[stick] command line options if for some reason you
	want to disable joystick.

	* Fix bug in windows part of seborrhea causing it to not sort the
	last file in a directory.
	
2004-12-20

	* Ability to enter high score with joystick.

	* Change keyboard/joystick controller handlers to be objects
	rather than structs.  This also removes a bunch of stupid
	'key_held' flags.

	* Better menu navigation.

	* Fix bug in menu's log.

2004-12-18

	* SebFonts can now do variable argument strings.

	* SebFont now handles outlining text.  Probably slow.

	* Raidem no longer dependent on SebFontAlFont.  Yay!

2004-12-17

	* Better font support in seborrhea.
	
	* Switching to use Glyph-Keeper instead of AlFont because it's
	faster.  (Seborrhea AlFont support still works).

2004-12-16

	* Seborrhea now looks for data from a list of directories, not
	just the present directory.

	* SebMP3 now handles loading of MP3s.

	* Credits backdrop.  Coloured in backdrops.

2004-12-15

	* ElephantReverse unit.

	* Instead of spawning a mini-nuke when a player gets hit, he
	spawns a micro-nuke (actually a unit), which only collides with
	projectiles.

	* Boss0's hunter seeker launching 'animation' restored (after it
	being replaced by engine flame).

	* Player's health maxes out at 15.  Anything above will spawn a
	nuke instead.

	* New gameover/hiscore/level complete/paused pictures.

	* New space tiles.

2004-12-14

	* Fixed Boss0's huge laser's recoil was pushing it off the screen.

	* Boss0's difficulty was not working due to stupidity on my part.
	Also difficulty is now determined by number of players who exist
	at the time the boss was created.  Other bug fixes for Boss0.

	* Less dodgy code for units that own other units.  Fix crash in
	Boss1 when boss dies but satellite doesn't.

	* Player only charges off *after* boss has been deleted, instead
	of while it's exploding.

	* Rewrite of MiniBoss1 boss loop.  Now the second charge is at a
	15 degree angle, rather than vertically downwards.
	
2004-12-13

	* Slight clean-up of code.

	* Homing missiles now smarter.  It knows about its turning radius
	and only tracks units it can hit, rather than stupidly circling
	around enemies (especially when map stops scrolling).

	* Things no longer track dying units.

	* Extra stats: kills, cheated death count, kill range, etc.

	* SebFonts now have a metafile command to load it with a size
	(which you are not supposed to set later but you probably can if
	you want to be a dick) because changing font sizes is painfully
	slow, which I found out only now...

	* Fixed Raid to use new SebFont stuff.

	* Fix bug in hiscore code.

	* Player 2 can now join in by pressing START/FIRE on the joystick,
	or FIRE on the keyboard.  Prone to cheating, but that's a problem
	in the user.

	* Fix bug in Boss1LaserBall causing player to gain health when in
	contact.  (It shouldn't collide with players. */
	
2004-12-12

	* Dirty rectangles for menus.

	* Simple log for menus.

	* Fix bug in seborrhea splines causing followers to take one extra
	update before ending the path.

	* Health powerup and 'P' graphics.

	* 'P' weapon renamed to Pink-Orange-Red.
	
2004-12-11

	* Separated game loop (previously in main.m) into game.m.

	* Now Raid uses getopt for processing command line options.  New
	command line options: --mute, --jumpstart, -1, -2.  "-e" also
	accepts an optional argument, the map to load at startup.

	* SebFiles now check =contents file.

	* New nuke graphic.

2004-12-10

	* Gameover/Hiscore/Level Complete text circling into centre of
	screen instead of just appearing.

	* SebFiles now check for duplicate names.

	* Fix bug in row-animation causing everything to be called "000".

	* Players no longer die if they complete the level.  They cheat
	death instead.  This is rare anyway.

	* Spline editor works again.

	* Fixed blinkiness when program lost then gains focus.  Also fixes
	problem with player's status disappearing when they die.

	* Music now loads in a thread to avoid jerks.  Music just loops
	(rather than reloading) if only one file.  No longer plays the
	same file twice.

	* Restored music playback in REdit.
	
2004-12-09

	* Added 'ignore' metafile commmand to Seborrhea.  The arguments
	part is now optional.

	* Cleaned up loading code.  Now there is no need to output errors
	for units/projectiles failing to load properly.

	* New powerup graphics.  Powerups have IR-lines (like homing
	missiles).

	* Toothpaste will now unlock if fire is released for long enough
	(15/50 seconds).  Toothpaste will seek next closest unit within
	jumping distance if it hits and kills a target which would have
	been locked if it weren't so weak.
	
2004-12-08

	* Dying units were colliding with projectiles.  Fixed.

	* New laser graphic.  LaserHigh also changes sprite (and
	dimensions) as it is weakened.

	* Turrets now have SebImages for turrets instead of Allegro
	bitmaps.  BasicTurret still depends on them being
	SebImageAllegro's though.

	* More unit firing animations, including Player and Elephant tank.

	* Tank debri now animate and fade in.

2004-12-07

	* New reticulate_spline function which doesn't allocate memory.
	This should speed up toothpaste/dragonfly as they were freeing
	then allocating memory.

	* MiniBoss0's turrets now all fly into the air and crash into the
	ground.  Also scatters some debri on the ground which dying.

	* Added 'LOWISH' debri layer.  Draw just above the LOW debri
	layer.

	* BasicTanks now handle tank tracks.  Tracks for Armadillo, Hippo
	and Elephant tanks.

	* More unit animations.  Strumble zooming has speed shadow.

2004-12-06

	* Turrets in space levels now just explode in the air, rather than
	coming back down and exploding on impact with the space.

	* Random improvements on REdit, including absolute checkbox for
	  activation dialog and default group number.

	* CTRL-LMB in REdit picks up clicked unit's class.

	* New toothpaste behaviour again.  After missing a target for long
	enough, just ignore it and head towards the nearest unit.  Also,
	fixed a bit of stupidity.

	* Colour coded weapon level block in status bar.

	* Fixed bug in DragonFly causing program to hang sometimes.

	* Fixed stupid memory leak in Seborrhea metafiles.

	* Fix memory leaks and stuff.
	
2004-12-05

	* New target seeking function which finds the closest ally
	according to angle.  MiniBoss0 now targets closest according to
	angle, rather than distance.

	* MiniBoss0's gun turret now fires out of barrels instead of
	centre.

	* Units stop firing if all players are dead.

	* BasicFlyer now uses a Weapon instead of own thing.

	* Turrets now fly up into the air, then down and explode.
	Probably silly for space level though.

	* Miscellaneous bug fixes.  Code clean up.

2004-12-04

	* New graphics:
	  - BabyBoy

	* Removed secondary weapon sounds (since you don't really hear
	them).  Now 4 reserved channels for primary weapons.

	* New toothpaste behaviour which is more effective against fast
	moving enemies (Lint, Mozzie, Dragonfly, etc.)

	* Toothpaste now aim for closest target within 75px (radius) of
	the target if it was destroyed, instead of flying off randomly.
	Slowed down fire rate to compensate.

2004-12-03

	* Proper support for units that only spawn in two player mode.
	Use the FLAG_ONLY_SPAWN_IN_TWO_PLAYER flag (6 in map editor)
	rather than creating new units (like Cargo2Player).  Also, these
	units will only spawn if both players are alive.

	* Fixed first explosion not going off bug.

	* Boss0 busted up pic.

	* Simple random music chooser with the help of seborrhea.

	* Adrenaline meter!  It does absolutely nothing gameplay-wise, but
	it is fun to see how much you hit fire.  Will be good for demos.

	
2004-12-02

	* Cleanup code for detecting START and ESCAPE/MENU key
	pressed/released, (but needs to be polled).

	* Miscellaneous menu bug fixes and improvements.

	* Boss1 small wing debri.

	* Can now enter highscore when finishing entire campaign or
	exitting half way (via pause, exit).

	* Highscore backdrop.

2004-12-01

	* Trying to powerup a weapon already at max causes a mini-nuke.

	* Menu can now change joysticks.  Can no longer control both
	players with the same joy.

	* Fix bug allowing reading from disabled joystick (joy_num = -1).

	* Sound/music sliders now initiallised correctly.  Removed
	redundant mute_music/mute_sound variables.

	* Toggling fullscreen from within game.

	* Vulcan and Laser damage types.  Tweak bosses to be more even.

	* More impressive Boss1 death sequence.  Now also sheds large
	wings.
	
2004-11-30

	* New credits, highscore and options menus.

	* Menu now controllable using gamepad/joystick.

	* When idle in menu for a long time, scrolls through the highscore
	and credits.

	* Restored music in menus.  Seems to 'pop' a lot though.

	* Consistancied controls.  Now only two keys: START and MENU.

	* Menu now supports hotkeys (sort of).  Pressing MENU key selects
	the item flagged for menu, and pressing it again executes it
	(usually opens up the previous menu).

	* Partially working customise controls bit.

2004-11-29

	* New graphics:
	  - Extra space tiles

	* MiniBoss1 receives 25% extra damage from toothpaste.

	* Weaken MiniBoss1 slightly.

	* Lots more map work.  Level 2 almost complete!

	* Players now spawn a puny nuke when they get hurt that clears
	away nearby things (to avoid getting hit consecutively).

	* Nukes damaging enemies gives 10 score per unit damage (compared
	to 100sc/damage for shooting), instead of no score at all.

	* Fix/hack bug in DragonFly when the player it locks onto dies.

	* Beginnings of a new menu.
	
2004-11-28

	* Strumble movement and moving animation.

	* Challengers no longer fire the instant they appear.

	* Lots of map work.

	* MiniBoss1 death sequence.

2004-11-27

	* New graphics:
	  - Strumble
	
	* MiniBoss1's vulcan turrets now in correct position when the boss
	is rotated.

	* Fix transparency for skyroad tiles.

	* Level 1/2 lasers now deal 2 damage on impact.  This helps a lot!

2004-11-26

	* MiniBoss1 moving routine.  Thrust/normal body animations.

	* Added subterranian debri layer for MiniBoss1's incoming bit.  It
	is only drawn in space levels, above the parallax layer.

	* Rotated collision detection code.  Good for large rotated units
	colliding with small objects (such as MiniBoss1).

	* Projectiles (usually) ask units to handle collision detection
	now, instead of the other way around.  This is so MiniBoss1 can do
	its wierd rotated collision detection.  Railguns are an exception.
	
2004-11-25

	* MiniBoss1 firing routines.

	* MiniBoss1 incoming routine.

2004-11-21

	* New graphics:
	  - MiniBoss1

2004-10-17

	* SebAnimations now only allows image contents.

	* SebLump class which asserts all elements in it are of the same
	class.  Removed SebFile's getRandomSebum since it doesn't make any
	sense to pick a random sebum when different types are allowed.

	* Clean up Seborrhea slightly (less duplicated code).

	* Converted everything to use SebLumps.

	* Railgun zaps slightly after debri is drawn.

	* Homing missile now spawns infra-red trail.

	* Fix DragonFly stupidity when player dies.

2004-10-16

	* Fix units facing up but scrolling slower than the map from
	getting deleted.

	* Some new space level base tiles.

	* New hatch units: HippoHatch, MozzieHatch.

	* Hatches no longer open when all players are dead to prevent
	Mozzies popping out and then suddenly disappearing.  Will still
	happen if the hatch was already opening though, but that's
	quite unlikely (so I will ignore it for now).

	* Lints (and LintReverse) are now groupable for powerup spawning
	purposes.  Bonus 1000 score for destroying entire group.

	* Changed foo:anim notation to foo=anim because Windows doesn't
	like ':' in filenames.

	* Fix typo/bug regarding triple buffering's video memory creation.

2004-10-15

	* BasicTanks will now pick a debri at random from base/tank-debri
	upon death instead of having a debri for each tank.  Some new
	debri graphics.
	
2004-10-14

	* Dirtier Stone, Viking and Anvil debri.

	* Armadillo fire animation.

2004-10-13

	* Better Tripe firing animation.

	* Hunter and Tripe debri.

	* Hunter-seekers now have green chunks.

	* Removed uses of "box-grab" from data metafiles and Seborrhea as
	box-grabbed images should actually just be split into a new PNG.

2004-10-10

	* Fix hatches getting locked by toothpaste.

	* New hatch type which supports variable travel ranges.  Armadillo
	Hatch unit now uses this.

	* New DualWeapon class which handles weapons that are identical
	except for their y displacement, which is on the opposite side of
	the unit.  Kinda hard to describe but useful.

	* Hippo firing animations.  Fixed Lizard firing animation.

	* Hippo firing routine using DualWeapon.  DragonFly, Basturk and
	Lizards converted to use DualWeapon.

	* Hunter and Tripe firing animations.

	* BasicTurret now supports death debri, which Stone, Viking and
	Anvils now use instead of implementing their own.
	
2004-10-09

	* New graphics:
	  - Hunter

	* New way of handling railguns.  Fix magic pink in railgun trail.

	* Purple coloured chunks.

	* Armadillo hatch unit.

	* Hippo move animation.

2004-10-08

	* New Lint path - reverse.  Comes from bottom of screen.

	* DragonFly movement and firing code.

2004-10-07

	* New graphics:
	  - Lint
	
	* Different damage types for projectiles, toothpaste, nuke and
	unit collisions.

	* Bosses now receive 1.5x damage from vulcan/laser to compensate
	for toothpastes' lock ability, but no damage from collisions with
	units (which was doing lots of damage).

	* Smoke for dumbfire missiles.

	* New line sparks (like fast-lines in racing games, but sparks)
	for when lasers and vulcan's collide.

	* Starfield object rather than lots of star debris.  Removed star
	layer.

2004-10-06

	* New space road tiles and dark version of space platform (to be
	used for parallax layer).
	
2004-10-05

	* Bug fixes for REdit.

	* Maps with stars now save parallax tiles.

	* Some new space tiles.
	
2004-10-04

	* New debri layer STAR_LAYER drawn below tiles.

	* Special case for levels with stars to draw tiles transparently.

	* Some parallax related code.  (not yet saved).

	* Excess stuff removed for when compiled with NO_VIDEO_BITMAPS.

	* Bounds when drawing tiles rather than being stupid.

2004-10-03

	* (New hard disk 2004-10-01).

	* Upgrade ADime to 2.2.0.  Seems to work fine.

	* Changed USE_FBLEND to be default and NO_FBLEND to be the compile
	time option.

	* New NO_MEMORY_BITMAPS compile time option for linux users
	without CVS Allegro.

	* Slight cleanup of init.m.  Try 32bpp before 15bpp.  Handle the
	different ways of handling virtual screens.

	* Fix display when alt-tab switching in Windows.

	* Fixed page-flipping and triple-buffering crashes when video
	bitmaps were not created.

	* Seborrhea now supports "foo:anim" notation, which everything is
	converted to.  Removed "dir-animation" command from metafiles.

	* Fix colour conversion for bosses.

	* Tamed down level 1 slightly.

	* Raid no longer draws when in paused mode, which fixes problems.

2004-09-26

	* More space road graphics.

	* Map making.

2004-09-25

	* Space tiles and road graphics.

2004-09-24

	* New space tiles.
	
2004-09-23

	* Tripe, Grunt, Moan firing routines.

2004-09-21

	* New graphics:
	  - DragonFly
	  - Hatch
	  - Tripe

	* New projectile collision detection routines.  Support for units
	which don't collide with projectiles (like Hatches and Miniboss0).

2004-09-20

	* New graphics:
	  - More of space tile set

	* New REdit commands:
	  - [P]	to pan map (vertical only).

	* Mods on Grunt, Moan graphics.

	* Split the way too big unit.m into multiple files:
	  - unit-seeking: target seeking
	  - unit-save: loading/saving
	  - unit-intern: unit lists

	* Beginnings of level 2 (space level).

	* Renamed unnamed ship to Challenger.
	
2004-09-19

	* New graphics:
	  - Space tile set
	
	* Added Hippo and Basturk code.

2004-09-18

	* New graphics:
	  - Basturk
	  - Hippo

2004-09-17

	* New graphics:
	  - Sea Urchin
	  - Unnamed space level ship

2004-09-14

	* Little more work on Boss1 (missile bays, guns).

2004-09-11

	* BasicGroundFollower class.  Similar to BasicFollower, but they
	don't collide with allies and the units (and their paths) scroll
	with the map.

	* SeaDog and SeaDogSweeper moving and firing routines.

	* Update some units and projectiles to use common targetting
	routine.

2004-09-07

	* New graphic:
	  - Sea Dog

2004-09-06

	* Elephant moving animation and routine.

2004-09-05

	* New graphics:
	  - Elephant
	  - Sea Cucumber

	* Renamed hovercraft to Ms. Hoover.

	* Armadillo moving animation and firing routine.

	* Ms. Hoover firing/moving routines.  (Subclass of Stumpy).

2004-09-01

	* New graphics:
	  - Unnamed hovercraft
	  - Armadillo

2004-08-29

	* Boss1's laserball's graphic.

	* Some particle effects.

	* Compiles under Windows again.  (AlFont was causing trouble).
	
	* Seborrhea under Windows uses qsort and own dirent structure,
	rather than bubble sort + windows dirent + extra stuff.
	
	* Windows binary now has an icon.

2004-08-28

	* IBM hard disks suck.  Hopefully recovered all lost data.

	* Laserball is now a projectile rather than a unit.

2004-08-26

	* Boss1 now has a fang firing animation.

2004-08-21

	* Redraw most of Boss1 to be more evil-looking.

	* Boss1's large-wings no longer separate children units, partly
	because of the way the graphics are.

2004-08-13

	* New graphics:
	  - Boss1 satellite
	  - CargoHealth

	* Luckily the only data lost, AFAICT, was the plasma powerup,
	which was backed-up anyway.

	* Seborrhea now outputs errors (which is everything) to stderr.

	* Boss1's satellites now has trails (like player's satellites).

	* CargoHealth and CargoHealth2Player units.

2004-08-12

	* Eep!  Hard disk failure.  Some of Raid'em was lost :(

2004-08-10

	* Boss1 draws health meters.

	* Boss1 fires directed fireballs from its outer barrels to prevent
	the player from just camping there.

	* Made general targetting function, which I should start making
	more units use.

	* Swarm missiles no longer stationary when there are no targets.

2004-08-08

	* Lots of Boss1's move sequence code.  Still needs satellites.

	* SwarmMissile movement and trail code.  No pic yet.

2004-08-07

	* New graphic:
	  - Boss1

2004-08-06

	* New graphic:
	  - Centipede

2004-08-05

	* Miniboss0 now fires 2 fireballs at an angle, instead of a shell.

	* Removed shell projectile (which was hard to see).

	* Updated spline editor for new map width.  Also fixed MMB crash.

	* Updated Fireflea and Firefly's paths for new map width.

	* Fears now spawn a ring of EvilVulcan's when they die for a nasty
	surprise.

	* New kamikaze path - hook.  Starts like a normal kamikaze, but
	then heads back up the screen!

	* Little glows for powerups.

	* BasicFollowers now use animation_t instead of own thing.  Fixed
	Firefly's firing animation.

	* Miniboss0 now has blasts fireballs in all directions after the
	railgun is destroyed.  Railgun health decreased to compensate.

	* Fireball sprite size increased to be more visible, collision
	size decreased to be more dodgable.

	* Stars (for space level), which are just debri.  Toggle in REdit
	using [F4].

2004-08-04

	* Edit map for new width.  Hopefully to last width change ever.

	* Powerups now have animations to be more friendly-looking.  New
	graphics for health and nuke (which were not updated since last
	powerup change for some reason).

2004-08-03

	* Increased map width by half a tile (320px->352px).
	
2004-08-02

	* Decreased explosion amount.  Made new, more transparent,
	explosions.

2004-08-01

	* Shadows' y location now location now dependent on the location
	of the unit so units creeping up from behind give some warning.

	* PlasmaRifle and robot's vulcan tweaked to be stronger.

	* Longer and larger lighting when get hurt (to be more visible).

	* faster, smaller chunks.

	* Firefleas and Fireflies now follow paths to reduce boredom of
	having so many uni-directional units.  This means maps need
	changing!

	* BasicFollowers will scroll with the map now rather than get left
	behind.

	* Extended the end of cargo's path so shadow doesn't pop away.

	* Seborrhea now handles TTF fonts (using AllegroFont library).

	* Transparent rotated shadows.

	* Newts and Lizards fire fireballs instead of shells.  (Will
	relegate shells soon, since hard to see and no real need.)

	* Increased highscore to 10 (from 5).  Start button on gamepad
	will now accept highscore.

	* Correct potential crash in powerup code.
